Bug 73477 - redhat-config-mouse: "OK" button produces traceback
redhat-config-mouse: "OK" button produces traceback
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-mouse (Show other bugs)
null
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 02:17 EDT by Barry K. Nathan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-02 15:49:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2002-09-05 02:17:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The OK button in redhat-config-mouse doesn't seem to save changes and it also
causes a traceback.

Version-Release number of selected component (if applicable):
redhat-config-mouse-1.0.1-2
rhpl-0.51-1

How reproducible:
Always

Steps to Reproduce:
1. Type "redhat-config-mouse" at the command line
2. Enter your root password at the prompt
3. Click "OK"

Actual Results:  Traceback (most recent call last):
  File "/usr/lib/python2.2/site-packages/rhpl/firstboot_gui_window.py", line 83,
in okClicked
    self.apply()
  File "/usr/share/redhat-config-mouse/mouse_gui.py", line 251, in apply
    (gpm, xprotocol, device, emulate, shortname) =
self.mouse.available()[selectedMouse]
KeyError

Expected Results:  No traceback is expected.

Additional info:

If I make a change to the "Emulate 3 button click" setting between steps 2 and
3, that change doesn't seem to stick.
Comment 1 Brent Fox 2002-10-02 15:49:30 EDT
What does /etc/sysconfig/mouse contain?
Comment 2 Brent Fox 2002-10-04 14:26:37 EDT
Nevermind.  It's fixed in cvs now.  Fix should appear in
redhat-config-mouse-1.0.1-3 and rhpl-0.53-1.

Note You need to log in before you can comment on or make changes to this bug.